Bug 240293 - scan for local devices by default
scan for local devices by default
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 07:59 EDT by Florian La Roche
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 03:45:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2007-05-16 07:59:11 EDT
Description of problem:

smartctl should detect local disks by itself and not need extra options
to specify the hardware to make it more user friendly.

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Smetana 2007-05-23 06:08:21 EDT
Sorry, but I don't understand the requirement... You don't like the '-d' option
or you don't want to specifiy the device itself?

If the first then smartctl is able to autodetect the disk type for most common
devices.

If the second then sorry, but no. Most commonly I want to check status of a
particular drive and/or launch a SMART test for it. I don't like the idea of
smartctl touching my usb flash disks or automatically start tests for all local
drives. It's superuser-only tool and minimizing risk of accidents is worth of
little uncomfort. And smartctl is quite user-friendly in comparison with some
others in /sbin and /usr/sbin.
Comment 2 Florian La Roche 2007-05-31 03:00:48 EDT
At least sata devices should be scanned without adding an extra -d option, I agree
that usb scanning should be off per default.

regards,

Florian La Roche
Comment 3 Tomas Smetana 2007-05-31 03:32:10 EDT
If your SATA disk is not detected by smartctl, then it's a bug indeed, because
smartmontools since ver. 5.37 are supposed to detect SATA disks automatically
(without '-d' option). On my system it looks like this: 

[root@testmachine ~]# smartctl -i /dev/sda
smartctl version 5.37 [i686-redhat-linux-gnu] Copyright (C) 2002-6 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Device Model:     SAMSUNG HD160JJ/P
Serial Number:    S0DFJ1HL497216
Firmware Version: ZM100-34
User Capacity:    160,000,000,000 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  ATA/ATAPI-7 T13 1532D revision 4a
Local Time is:    Thu May 31 09:12:21 2007 CEST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

What version of smartmontools do you use? If it's 5.37, then could you please
provide output of "smartctl -a" (with and without "-d ata") on that device?
Comment 4 Tomas Smetana 2007-08-02 03:45:19 EDT
It works on my system and without more information I can't do anything about this.

Note You need to log in before you can comment on or make changes to this bug.